xcb_xkb_set_indicator_map(3)

NAME
xcb_xkb_set_indicator_map -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_set_indicator_map(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, uint32_t which, const xcb_xkb_indicator_map_t *maps);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

which
    TODO: NOT YET DOCUMENTED.

maps
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_set_indicator_map_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.